text.skipToContent text.skipToNavigation
Home Support Projectors Projector Options Promethean ActivInspire

I get the message Dual User requires an update available for Promethean Activboards only when I select Dual User to set up dual pen support in ActivInspire. What should I do?

    To use dual pen functionality, you need to update the projector's firmware.

    The firmware update can be performed by an Epson authorized service provider. To find a service provider, go to our Epson support page, select Support > Service Center Locator.

    Note: Epson projectors purchased prior to April 22, 2013 require a firmware update to use dual pen functionality.

    Epson does not cover any costs incurred to update the projector's firmware.

Published:  Nov 22, 2013 Was this helpful​? Thank you for the feedback!
Please tell us why this was not helpful.​
Please enter a valid email address